Bug 542605 - gw-config wrapper script in -devel completely broken
Summary: gw-config wrapper script in -devel completely broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kannel
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-30 10:49 UTC by Alexander Kahl
Modified: 2009-12-10 04:28 UTC (History)
1 user (show)

Fixed In Version: 1.4.3-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-10 04:05:39 UTC


Attachments (Terms of Use)
gw-config patch (876 bytes, patch)
2009-11-30 10:49 UTC, Alexander Kahl
no flags Details | Diff

Description Alexander Kahl 2009-11-30 10:49:15 UTC
Created attachment 374721 [details]
gw-config patch

Two issues here:

/usr/bin/gw-config searches for /usr/bin/gw-config-${ARCH} but the Kannel build mv:s the original gw-config to gw-config.${ARCH} so either the mv or the script itself must be changed to be coherent.

Furthermore, no original arguments get passed to the gw-config script found so it will always just display its usage, rendering the wrapper script completely useless.

I've attached a patch for gw-config fixing both issues.

Comment 1 Matthias Saou 2009-12-08 09:43:26 UTC
Wow, now that's embarrassing. It looks like the change is mine, but I have no memory of it.

Thanks for the patch/fix, I've rebuilt devel, F-12, F-11 (updated from 1.4.1 to 1.4.3) and EL-5 packages.

Comment 2 Fedora Update System 2009-12-08 09:43:50 UTC
kannel-1.4.3-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kannel-1.4.3-4.fc12

Comment 3 Fedora Update System 2009-12-08 09:43:55 UTC
kannel-1.4.3-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kannel-1.4.3-4.fc11

Comment 4 Fedora Update System 2009-12-10 04:05:35 UTC
kannel-1.4.3-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2009-12-10 04:28:41 UTC
kannel-1.4.3-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.